OpenGL-3.0.3.0: A binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2002-2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.GL.SavingState

Description

This module corresponds to section 6.1.14 (Saving and Restoring State) of the OpenGL 2.1 specs.

# Documentation

data ServerAttributeGroup Source #

Constructors

CurrentAttributes |
PointAttributes |
LineAttributes |
PolygonAttributes |
PolygonStippleAttributes |
PixelModeAttributes |
LightingAttributes |
FogAttributes |
DepthBufferAttributes |
AccumBufferAttributes |
StencilBufferAttributes |
ViewportAttributes |
TransformAttributes |
EnableAttributes |
ColorBufferAttributes |
HintAttributes |
EvalAttributes |
ListAttributes |
TextureAttributes |
ScissorAttributes |
MultisampleAttributes |
AllServerAttributes |

#### Instances

Instances details

Show ServerAttributeGroup Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.SavingState Methods showsPrec :: Int -> ServerAttributeGroup -> ShowS Source # show :: ServerAttributeGroup -> String Source # showList :: [ServerAttributeGroup] -> ShowS Source #
Eq ServerAttributeGroup Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.SavingState Methods (==) :: ServerAttributeGroup -> ServerAttributeGroup -> Bool Source # (/=) :: ServerAttributeGroup -> ServerAttributeGroup -> Bool Source #
Ord ServerAttributeGroup Source # |

Instance details

Defined in Graphics.Rendering.OpenGL.GL.SavingState

Methods

compare :: ServerAttributeGroup -> ServerAttributeGroup -> Ordering Source #

(<) :: ServerAttributeGroup -> ServerAttributeGroup -> Bool Source #

(<=) :: ServerAttributeGroup -> ServerAttributeGroup -> Bool Source #

(>) :: ServerAttributeGroup -> ServerAttributeGroup -> Bool Source #

(>=) :: ServerAttributeGroup -> ServerAttributeGroup -> Bool Source #

max :: ServerAttributeGroup -> ServerAttributeGroup -> ServerAttributeGroup Source #

min :: ServerAttributeGroup -> ServerAttributeGroup -> ServerAttributeGroup Source #

preservingAttrib :: [ServerAttributeGroup] -> IO a -> IO a Source #

data ClientAttributeGroup Source #

Constructors

PixelStoreAttributes |
VertexArrayAttributes |
AllClientAttributes |

#### Instances

Instances details

Show ClientAttributeGroup Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.SavingState Methods showsPrec :: Int -> ClientAttributeGroup -> ShowS Source # show :: ClientAttributeGroup -> String Source # showList :: [ClientAttributeGroup] -> ShowS Source #
Eq ClientAttributeGroup Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.SavingState Methods (==) :: ClientAttributeGroup -> ClientAttributeGroup -> Bool Source # (/=) :: ClientAttributeGroup -> ClientAttributeGroup -> Bool Source #
Ord ClientAttributeGroup Source # |

Instance details

Defined in Graphics.Rendering.OpenGL.GL.SavingState

Methods

compare :: ClientAttributeGroup -> ClientAttributeGroup -> Ordering Source #

(<) :: ClientAttributeGroup -> ClientAttributeGroup -> Bool Source #

(<=) :: ClientAttributeGroup -> ClientAttributeGroup -> Bool Source #

(>) :: ClientAttributeGroup -> ClientAttributeGroup -> Bool Source #

(>=) :: ClientAttributeGroup -> ClientAttributeGroup -> Bool Source #

max :: ClientAttributeGroup -> ClientAttributeGroup -> ClientAttributeGroup Source #

min :: ClientAttributeGroup -> ClientAttributeGroup -> ClientAttributeGroup Source #

preservingClientAttrib :: [ClientAttributeGroup] -> IO a -> IO a Source #